curl
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>' \
-H "X-API-Key: YOUR_API_KEY" \
-H "Accept: application/json"{
"id": "11111111-1111-1111-1111-111111111111",
"name": "Acme Support",
"handle": "abcd-1234",
"membersCount": 1,
"role": "owner",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Workspaces
Get Workspace
Fetch a workspace by ID. Requires a user principal with CAN_GET_WORKSPACE.
GET
/
workspaces
/
{workspaceId}
curl
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>' \
-H "X-API-Key: YOUR_API_KEY" \
-H "Accept: application/json"{
"id": "11111111-1111-1111-1111-111111111111",
"name": "Acme Support",
"handle": "abcd-1234",
"membersCount": 1,
"role": "owner",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Authorizations
User API key for management and automation.
Path Parameters
Response
OK
Example:
"11111111-1111-1111-1111-111111111111"
Example:
"Acme Support"
Example:
"abcd-1234"
Example:
1
Available options:
owner, admin, readonly Example:
"owner"
Example:
"2026-07-01T12:00:00Z"
Example:
"2026-07-01T12:00:00Z"
Was this page helpful?
